package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.ArrayList;
import java.util.List;

/**
 * 对应数据库表(member_privileges_item):
 */
public class MemberPrivilegesItem {

	/**  */
	private Integer id;
	
	/** 名称 */
	private String name;
	
	/** 描述 */
	private String desc;
	
	/** 编码 */
	private String code;

	private String path;
	
	/**  */
	private Integer parentId = 0;

	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private List<MemberPrivilegesItem> memberPrivilegesItems = new ArrayList<MemberPrivilegesItem>();

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public List<MemberPrivilegesItem> getMemberPrivilegesItems() {
		return memberPrivilegesItems;
	}

	public void setMemberPrivilegesItems(List<MemberPrivilegesItem> memberPrivilegesItems) {
		this.memberPrivilegesItems = memberPrivilegesItems;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setDesc(String desc){
		this.desc = desc;
	}
	
	public String getDesc(){
		return this.desc;
	}
			
	public void setCode(String code){
		this.code = code;
	}
	
	public String getCode(){
		return this.code;
	}
			
	public void setParentId(Integer parentId){
		this.parentId = parentId;
	}
	
	public Integer getParentId(){
		return this.parentId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
